Loading...
Searching...
No Matches
L4::Runtime_error Class Reference
L4Re C++ Interface » C++ Exceptions

Exception for an abstract runtime error. More...

`#include <l4/cxx/exceptions>`

Inheritance diagram for L4::Runtime_error:
Collaboration diagram for L4::Runtime_error:

## Public Member Functions

| Runtime_error (long err_no, char const *extra=0) noexcept
| Create a new Runtime_error.
char const * | str () const noexcept override
| Return a human readable string for the exception.
char const * | extra_str () const
| Get the description text for this runtime error.
long | err_no () const noexcept
| Get the error value for this runtime error.
Public Member Functions inherited from L4::Base_exception
virtual | ~Base_exception () noexcept
| Destruction.
Public Member Functions inherited from L4::Exception_tracer
void const *const * | pc_array () const noexcept
| Get the array containing the call trace.
int | frame_count () const noexcept
| Get the number of entries that are valid in the call trace.

## Additional Inherited Members

Protected Member Functions inherited from L4::Base_exception
| Base_exception () noexcept
| Create a base exception.
Protected Member Functions inherited from L4::Exception_tracer
| Exception_tracer () noexcept
| Create a back trace.

## Detailed Description

Exception for an abstract runtime error.

This is the base class for a set of exceptions that cover all errors that have a C error value (see l4_error_code_t).

Definition at line 128 of file exceptions.

## Constructor & Destructor Documentation

## Runtime_error()

L4::Runtime_error::Runtime_error | ( | long | err_no,
|  | char const * | extra = 0 )

inlineexplicitnoexcept

Create a new Runtime_error.

Parameters

  err_no | Error value for this runtime error.
  extra | Description of what happened when the error occurred.

Definition at line 141 of file exceptions.

References err_no().

Referenced by L4::Out_of_memory::Out_of_memory().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Function Documentation

## err_no()

long L4::Runtime_error::err_no | ( |  | ) | const

inlinenoexcept

Get the error value for this runtime error.

Returns
  Error value.

Definition at line 170 of file exceptions.

Referenced by Runtime_error().

Here is the caller graph for this function:

## extra_str()

char const * L4::Runtime_error::extra_str | ( |  | ) | const

inline

Get the description text for this runtime error.

Returns
  Pointer to the description string.

Definition at line 162 of file exceptions.

The documentation for this class was generated from the following file:

- l4/cxx/exceptions